#include scene_sessions24/util.glsl

float sine_ease(float n) {
    return sin(n*PI-PI/2.)*0.5+0.5;
}

vec2 silly_main(vec2 UV, float t) {
    float i_t = floor(t);
    float f_t = fract(t);
    float sca = 1.+mix(rand(i_t).x, rand(i_t+1.).x, sine_ease(sine_ease(f_t)))*3.;

    return UV*rot(-t*.2)*sca;
}